package cn.palmte.work.bean;

/**
 * 数据源等信息常量化
 * @author xiongshiyan
 */
public class Constant {

    public static final String DATA = "Data";

    public static final int       ROLE_TYPE_SUPER_ADMIN         = 0; // 系统管理员
    public static final int       ROLE_TYPE_CMCC_ADMIN           = 1;// 移动管理员
    public static final int       ROLE_TYPE_ZJPT_ADMIN                 = 2; //资金平台管理员


    private Constant(){}
    /**
     * 全局状态码
     */
    public static final class Status {
        private Status() {
        }
        /**
         * 成功
         */
        public static final int STATUS_SUCCESS = 0;
        /**
         * 失败
         */
        public static final int STATUS_FAILED = 1;
        /**
         * 异常
         */
        public static final int STATUS_EXCEPTION = 2;
        /**
         * 提示登录
         */
        public static final int STATUS_PROMPT_LOGIN = 1009;
    }

}
