package cn.palmte.work.bean;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 主要指标数据
 */
@Data
public class PrimaryIndicatorBean {

    /**
     *
     */
    private String title;

    /**
     * 收入--设备类
     */
    private BigDecimal incomeDevice;

    /**
     * 收入--施工类
     */
    private BigDecimal incomeEngineer;

    /**
     * 收入--服务类
     */
    private BigDecimal incomeService;

    /**
     * 采购成本--设备类
     */
    private BigDecimal costPurchaseDevice;

    /**
     * 采购成本--施工类
     */
    private BigDecimal costPurchaseBuild;

    /**
     * 采购成本--服务类
     */
    private BigDecimal costPurchaseService;

    /**
     * 采购成本--其他
     */
    private BigDecimal costPurchaseOther;

    /**
     * 成本--其他
     */
    private BigDecimal costOtherOther;

    /**
     * 成本--项目管理成本
     */
    private BigDecimal costProjectManage;

    /**
     * 财务费用--资金占用成本
     */
    private BigDecimal costExpropriation;

    /**
     * 公司管理费用
     */
    private BigDecimal costCompanyManage;

}
