package cn.palmte.work.bean;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 损益表数据
 */
@Data
public class ProfitAndLossBean {

    private String title;

    /**
     * 营业收入
     */
    private BigDecimal income;

    /**
     * 营业成本
     */
    private BigDecimal cost;

    /**
     * 项目管理成本
     */
    private BigDecimal manageCost;

    /**
     * 其他
     */
    private BigDecimal other;

    /**
     * 财务费用
     */
    private BigDecimal expropriation;

    /**
     * 项目毛利
     */
    private BigDecimal grossProfit;

    /**
     * 项目毛利率
     */
    private BigDecimal grossProfitProfit;

    /**
     * 公司管理费用
     */
    private BigDecimal CompanyManage;

    /**
     * 项目贡献利润
     */
    private BigDecimal contributionMargin;

    /**
     * 项目贡献利润率
     */
    private BigDecimal contributionMarginProfit;

    /**
     * 所得税费用
     */
    private BigDecimal incomeTax;

    /**
     * 项目净利润
     */
    private BigDecimal netMargin;

    /**
     * 项目净利润率
     */
    private BigDecimal netMarginProfit;

}
