package cn.palmte.work.model;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface ProjectBudgetPlanDetailRepository extends JpaRepository<ProjectBudgetPlanDetail,Integer> {
    List<ProjectBudgetPlanDetail> findAllByProjectIdEquals(int id);

    @Query(value = "select * from project_budget_plan_detail where project_id in ?1", nativeQuery = true)
    List<ProjectBudgetPlanDetail> findAllByProjectIds(List<Integer> projectInt);
}
