package cn.palmte.work.model;


import top.jfunc.common.db.bean.Page;

import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public interface SysRoleRepositoryCustom {


    /**
     * 分页获取所有角色列表
     * @param searchInfo
     * @param pageNumber
     * @return
     */
    public Page<SysRole> getAllRoleListByPage(ConcurrentHashMap<String, String> searchInfo, String pageNumber, int roleType);


    /**
     * 获取当前角色登记获取下级所有角色类型
     * @return
     */
    List<SysRole> geBelowRoleTypes(int roleType);

    /**
     * 获取当前角色类型下级角色
     * @param roleType
     * @return
     */
    List<SysRole> getBelowTypes(int roleType);
}
