<#assign base=request.contextPath />
<#import "../common/defaultLayout.ftl" as defaultLayout>
<@defaultLayout.layout>
<link rel="stylesheet" href="${base}/ztree/css/zTreeStyle/zTreeStyle.css" type="text/css">
<style>
    /*ul.ztree {
        margin-top: 10px;
        border: 1px solid #617775;
        background: #f0f6e4;
        width:220px;
        height:360px;
        overflow-y:scroll;
        overflow-x:auto;
    }*/
</style>
<div class="admin-content">
    <div class="admin-content-body">
        <div class="am-cf am-padding">
            <div class="am-fl am-cf"><strong class="am-text-primary am-text-lg">项目管理</strong> / <small>请选择${project.name}的可见性</small></div>
        </div>

        <input type="hidden" name="projectId" value="${project.id}">

        请勾选能够看到该项目的人员或角色
        <ul id="treeSelectRoleUser" class="ztree"></ul>
        <div class="am-margin">
            <button type="button" class="am-btn am-btn-warning am-btn-xs" onclick="javascript:history.go(-1);">返回上一级</button>
            <button type="button" class="am-btn am-btn-primary am-btn-xs" id="save">保存</button>
        </div>
	</div>

</div>
</@defaultLayout.layout>
<script>
    var base = "${base}";
</script>
<script src="${base}/assets/js/project_common.js"></script>
<script type="text/javascript" src="${base}/ztree/js/jquery.ztree.core.js"></script>
<script type="text/javascript" src="${base}/ztree/js/jquery.ztree.excheck.js"></script>
<script type="text/javascript" src="${base}/ztree/js/jquery.ztree.exedit.js"></script>
<script src="${base}/assets/js/project_select_role_user.js"></script>